### Function

# Gtk Settings get_for_display

#### Declaration [src]

    GtkSettings*
    gtk_settings_get_for_display (
      GdkDisplay* display
    )

#### Description [src]

Gets the `GtkSettings` object for `display`, creating it if necessary.

#### Parameters

`display` | `GdkDisplay*`
| A `GdkDisplay`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkSettings`
| A `GtkSettings` object.
| The data is owned by the called function.